package com.bofeng.service;

import com.bofeng.dao.NotifyOpenMapper;
import com.bofeng.entity.NotifyOpen;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(readOnly = true)
public class NotifyOpenService {

    @Autowired
    private NotifyOpenMapper notifyOpenMapper;

    public List<NotifyOpen> getByPlaceId(Long placeId) {
        return notifyOpenMapper.selectByPlaceId(placeId);
    }

    public List<NotifyOpen> getByOpenId(String openId) {
        return notifyOpenMapper.selectByOpenId(openId);
    }
}
